Bug 673500 - Missing details (alert name?) in notification when enabling/disabling an alert
Missing details (alert name?) in notification when enabling/disabling an alert
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Corey Welton
:
Depends On:
Blocks: gwt-templates
  Show dependency treegraph
 
Reported: 2011-01-28 08:39 EST by Corey Welton
Modified: 2011-10-06 15:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-14 10:14:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2011-01-28 08:39:48 EST
Description of problem:

When user enables or disables an alert, the message that appears at the top of the page and in the status tray look to be missing data - it's as if it should be referencing the name of the alert.  Instead, it just puts up two brackets.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Assure you have data populated in your db; login and navigate to the Templates main view
2.  Hover and click the metric templates icon for one of your resources
3.  Select a template and enable/disable it
  
Actual results:
"Enabled collection of selected metric []." (and similar message for Disabled)

Expected results:
"Enabled collection of selected metric [NameOfMetric]."

Additional info:
Comment 1 John Mazzitelli 2011-02-14 10:14:07 EST
this is no longer an issue. the notification messages no longer show the names of the alerts, it shows the count of alerts that were enabled/disabled, for example:

Successfully enabled 2 alert definitions

or

Successfully disabled 2 alert definitions

Note You need to log in before you can comment on or make changes to this bug.